
From: Domen Puncer <domen@coderock.org>

Assignment doesn't make much sense here as condition would always be true.

Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Yoshinori Sato <ysato@users.sourceforge.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/h8300/platform/h8300h/ptrace_h8300h.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/h8300/platform/h8300h/ptrace_h8300h.c~ptrace_h8300-condition-bugfix arch/h8300/platform/h8300h/ptrace_h8300h.c
--- 25/arch/h8300/platform/h8300h/ptrace_h8300h.c~ptrace_h8300-condition-bugfix	2005-05-31 01:47:45.000000000 -0700
+++ 25-akpm/arch/h8300/platform/h8300h/ptrace_h8300h.c	2005-05-31 01:47:45.000000000 -0700
@@ -245,12 +245,12 @@ static unsigned short *getnextpc(struct 
 						addr = h8300_get_reg(child, regno-1+PT_ER1);
 					return (unsigned short *)addr;
 				case relb:
-					if ((inst = 0x55) || isbranch(child,inst & 0x0f))
+					if (inst == 0x55 || isbranch(child,inst & 0x0f))
 						pc = (unsigned short *)((unsigned long)pc +
 								       ((signed char)(*fetch_p)));
 					return pc+1; /* skip myself */
 				case relw:
-					if ((inst = 0x5c) || isbranch(child,(*fetch_p & 0xf0) >> 4))
+					if (inst == 0x5c || isbranch(child,(*fetch_p & 0xf0) >> 4))
 						pc = (unsigned short *)((unsigned long)pc +
 								       ((signed short)(*(pc+1))));
 					return pc+2; /* skip myself */
_
